Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoReflectionMethodAux

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoReflectionMethodAux,MonoReflectionMethodAux.ByValue,MonoReflectionMethodAux.ByReference>
              com.nativelibs4java.mono.MonoReflectionMethodAux

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoReflectionMethodAux,MonoReflectionMethodAux.ByValue,MonoReflectionMethodAux.ByReference>>

Direct Known Subclasses:
  MonoReflectionMethodAux.ByReference, MonoReflectionMethodAux.ByValue

    public class MonoReflectionMethodAux

extends Structure<MonoReflectionMethodAux,MonoReflectionMethodAux.ByValue,MonoReflectionMethodAux.ByReference>

native declaration : mono\metadata\reflection.h
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoReflectionMethodAux.ByReference`
`static class` | `MonoReflectionMethodAux.ByValue`

Field Summary
`ByteByReference` | `dll`
`ByteByReference` | `dllentry`
`MonoCustomAttrInfo.ByReference[]` | `param_cattr`
`IntByReference` | `param_default_types`
`PointerByReference` | `param_defaults`
`MonoMarshalSpec.ByReference[]` | `param_marshall`
`PointerByReference` | `param_names`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoReflectionMethodAux()`
`MonoReflectionMethodAux(PointerByReference param_names, MonoMarshalSpec.ByReference[] param_marshall, MonoCustomAttrInfo.ByReference[] param_cattr, PointerByReference param_defaults, IntByReference param_default_types, ByteByReference dllentry, ByteByReference dll)`

Method Summary
`protected MonoReflectionMethodAux.ByReference` | `newByReference()`
`protected MonoReflectionMethodAux.ByValue` | `newByValue()`
`protected MonoReflectionMethodAux` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### param_names

    public PointerByReference param_names

### param_marshall

    public MonoMarshalSpec.ByReference[] param_marshall

### param_cattr

    public MonoCustomAttrInfo.ByReference[] param_cattr

### param_defaults

    public PointerByReference param_defaults

### param_default_types

    public IntByReference param_default_types

### dllentry

    public ByteByReference dllentry

### dll

    public ByteByReference dll

Constructor Detail

### MonoReflectionMethodAux

    public MonoReflectionMethodAux()

### MonoReflectionMethodAux

    public MonoReflectionMethodAux(PointerByReference param_names,
                                   MonoMarshalSpec.ByReference[] param_marshall,
                                   MonoCustomAttrInfo.ByReference[] param_cattr,
                                   PointerByReference param_defaults,
                                   IntByReference param_default_types,
                                   ByteByReference dllentry,
                                   ByteByReference dll)

Method Detail

### newByReference

    protected MonoReflectionMethodAux.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoReflectionMethodAux,MonoReflectionMethodAux.ByValue,MonoReflectionMethodAux.ByReference>`

### newByValue

    protected MonoReflectionMethodAux.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoReflectionMethodAux,MonoReflectionMethodAux.ByValue,MonoReflectionMethodAux.ByReference>`

### newInstance

    protected MonoReflectionMethodAux newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoReflectionMethodAux,MonoReflectionMethodAux.ByValue,MonoReflectionMethodAux.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD